Chat9
APIDocuments

List Knowledge Sources Route

List file documents and URL sources for the Knowledge page.

GET
/documents/sources
/documents/sources

The Authorization access token

Authorization

Authorization
Required
Bearer <token>

In: header

curl -X GET "https://api.getchat9.live/documents/sources" \
  -H "Authorization: Bearer <token>"

Successful Response

{
  "documents": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "filename": "string",
      "file_type": "string",
      "status": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "health_status": {}
    }
  ],
  "url_sources": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "url": "string",
      "source_type": "url",
      "status": "string",
      "schedule": "daily",
      "pages_found": 0,
      "pages_indexed": 0,
      "chunks_created": 0,
      "last_crawled_at": "2019-08-24T14:15:22Z",
      "next_crawl_at": "2019-08-24T14:15:22Z",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "warning_message": "string",
      "error_message": "string",
      "exclusion_patterns": [
        "string"
      ]
    }
  ]
}